import org.xml.sax.SAXException;
import org.xml.sax.Attributes;
import org.xml.sax.helpers.DefaultHandler;

public class IPAFormTableHandler extends DefaultHandler {
    String ipaType;
    public void startElement (String uri, String local, String qname, Attributes atts) throws SAXException
    {
	if (qname.equals("IPAFormDefs")) {
	    ipaType = atts.getValue("IPAType");
	}
	else if (qname.equals("IPApronDef")) {
	    String ipaForm = atts.getValue("IPAForm");
	    String pron = atts.getValue("pron");
	    chaone.IPAFormPronTable.put((ipaType + ";" + ipaForm), pron);
	}
	else if (qname.equals("IPAFormDef")) {
	    String ipaConType = atts.getValue("IPAConType");
	    String ipaForm = atts.getValue("IPAForm");
	    chaone.IPAFormTable.put((ipaType + ";" + ipaConType), ipaForm);
	}
    }
}
