/* Copyright (c) 2000-2003                             */
/*   Takao Kobayashi, Takashi Masuko, Masatsune Tamura */
/*   Tokyo Institute of Technology                     */
/*   Keiichi Tokuda, Takayoshi Yoshimura, Heiga Zen    */
/*   Nagoya Institute of Technology                    */
/*   All rights reserved                               */

typedef struct _ModelSet {
  float **durpdf;
  float ***mceppdf;
  float ****pitchpdf;
  Tree *thead[3];
  Tree *ttail[3];
  Question *qhead[3];
  Question *qtail[3];
} ModelSet;

int nstate;
int pitchstream;
int mcepvsize;

ModelSet mset[MAX_SPEAKER];

double **mcep;  /* generated mel-cepstrum */
double **coeff; /* mlsa filter coefficients */

int totalframe;

