import org.xml.sax.SAXException;
import org.xml.sax.Attributes;
import org.xml.sax.helpers.DefaultHandler;

public class EASymbolTableHandler extends DefaultHandler {
    public void startElement (String uri, String local, String qname, Attributes atts) throws SAXException
    {
	if (qname.equals("W1")) {
	    String orthString = atts.getValue("orth");
	    EASymbol eaSymbol = new EASymbol(atts.getValue("orth"),
					     atts.getValue("pron"),
					     atts.getValue("pos"),
					     atts.getValue("lex"),
					     atts.getValue("indexForm"),
					     atts.getValue("indexOrth"),
					     atts.getValue("aType"));
	    chaone.EASymbolTable.put(orthString, eaSymbol);
	}
    }
}
