import org.xml.sax.SAXException;
import org.xml.sax.Attributes;
import org.xml.sax.helpers.DefaultHandler;

public class FPAFormTableHandler extends DefaultHandler {
    String fpaType;
    public void startElement (String uri, String local, String qname, Attributes atts) throws SAXException
    {
	if (qname.equals("FPAFormDefs")) {
	    fpaType = atts.getValue("FPAType");
	}
	else if (qname.equals("FPApronDef")) {
	    String fpaForm = atts.getValue("FPAForm");
	    String pron = atts.getValue("pron");
	    chaone.FPAFormPronTable.put((fpaType + ";" + fpaForm), pron);
	}
	else if (qname.equals("FPAFormDef")) {
	    String fpaConType = atts.getValue("FPAConType");
	    String fpaForm = atts.getValue("FPAForm");
	    chaone.FPAFormTable.put((fpaType + ";" + fpaConType), fpaForm);
	}
    }
}
