/* Copyright (c) 2000-2003                  */
/*   Yamashita Lab., Ritsumeikan University */
/*   All rights reserved                    */


/* ǥå */

char *phlist_file;

#define DEF_PHLIST_FILE "mono.lst"

/*  */

char *chasen_bin;
char *chasen_rc;
char *chaone_bin;

#define DEF_CHASEN_BIN "/usr/local/bin/chasen"
#define DEF_CHASEN_RC  "chasenrc"
#define DEF_CHAONE_BIN "java chaone"

/* ѿ */

char *read_number;
char *read_alphabet;
char *read_date;
char *read_time;

#define DEF_READ_NUMBER "DECIMAL"
#define DEF_READ_ALPHABET "WORD"
#define DEF_READ_DATE "YMD"
#define DEF_READ_TIME "hms"

/* ü */

typedef enum {MALE,FEMALE,UNKNOWN} GENDER;

typedef struct _speaker {
	char *code;
	GENDER	gender;
	char *dur_tree_file;
	char *pit_tree_file;
	char *mcep_tree_file;
	char *dur_model_file;
	char *pit_model_file;
	char *mcep_model_file;
	double alpha;		/* MEL μȿԥ󥰷̾ 0.42 */
	double alpha_saved;	/* ¸ */
} SPEAKER;

#define MAX_SPEAKER 20
SPEAKER speaker[MAX_SPEAKER];

int n_speaker;	/* Ͽ줿üԿ */
int spid;	/* ߤüID */

#define DEF_ALPHA 0.42
#define DEF_SP_CODE "male01"
#define DEF_SP_GENDER MALE

#define DEF_DUR_TREE_FILE "tree-dur.inf"
#define DEF_PIT_TREE_FILE "tree-lf0.inf"
#define DEF_MCEP_TREE_FILE "tree-mcep.inf"

#define DEF_DUR_MODEL_FILE "duration.pdf"
#define DEF_PIT_MODEL_FILE "lf0.pdf"
#define DEF_MCEP_MODEL_FILE "mcep.pdf"

FILE *logfp;
